Skip to main content
GET
/
orders
/
status
/
{orderPubkey}
cURL
curl --request GET \
  --url https://api.jup.ag/prediction/v1/orders/status/{orderPubkey} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.jup.ag/prediction/v1/orders/status/{orderPubkey}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.jup.ag/prediction/v1/orders/status/{orderPubkey}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "orderPubkey": "<string>",
  "status": "<string>",
  "latestEventType": "<string>",
  "latestSignature": "<string>",
  "externalOrderId": "<string>",
  "orderId": "<string>",
  "history": [
    {
      "eventType": "<string>",
      "status": "<string>",
      "rawStatus": "<string>",
      "timestamp": 123,
      "signature": "<string>",
      "externalOrderId": "<string>",
      "orderId": "<string>"
    }
  ]
}
{
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>",
"doc_url": "<string>"
}
{
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>",
"doc_url": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

orderPubkey
string
required

Order account public key

Minimum string length: 1

Response

Latest status for an order with event history

orderPubkey
string
required
status
string
required
latestEventType
string
required
latestSignature
string
required
externalOrderId
string
required
orderId
string
required
history
object[]
required